mav_paletteWarn(3)

NAME
mav_paletteWarn - Define whether to warn on redefinition or not

LEVEL
Maverik Level 1

SYNTAX
void mav_paletteWarnSet(MAV_palette *p, int v);

void mav_paletteColourWarnSet(MAV_palette *p, int v);

void mav_paletteMaterialWarnSet(MAV_palette *p, int v);

void mav_paletteTextureWarnSet(MAV_palette *p, int v);

void mav_paletteLightWarnSet(MAV_palette *p, int v);

void mav_paletteLightingModelWarnSet(MAV_palette *p, int v);

void mav_paletteFontWarnSet(MAV_palette *p, int v);

void mav_paletteColourIndexWarnSet(MAV_palette *p, int idx, int v);

void mav_paletteMaterialIndexWarnSet(MAV_palette *p, int idx, int v);

void mav_paletteTextureIndexWarnSet(MAV_palette *p, int idx, int v);

void mav_paletteLightIndexWarnSet(MAV_palette *p, int idx, int v);

void mav_paletteFontIndexWarnSet(MAV_palette *p, int idx, int v);

ARGUMENTS
Palette to set Colour, material, texture, light or font index Whether to warn on redefinition or not

DESCRIPTION
These functions define whether or not a warning is generated if the contents of a palette are redefined. This warning can be on a per-palette basis, per-type (colour, material, texture, light or font) or per-type-index basis.